Package org.eclipse.mat.ibmvm.acquire

# Class BaseProvider

java.lang.Object
org.eclipse.mat.ibmvm.acquire.BaseProvider

All Implemented Interfaces:
  `IHeapDumpProvider`

Direct Known Subclasses:
  `IBMDumpProvider`, `IBMExecDumpProvider`

public abstract class BaseProvider extends Object implements IHeapDumpProvider
The base dump provider class. Providers helper method to copy class files and create a jar to run with another VM.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`defaultCompress`
`boolean`
`defaultLive`
`DumpType`
`defaultType`
`String`
`heapDumpTemplate`
`String`
`heapDumpZipTemplate`
`String`
`hprofDumpTemplate`
`String`
`hprofDumpZipTemplate`
`String`
`javaDumpTemplate`
`boolean`
`listAttach`
`String`
`systemDumpTemplate`
`String`
`systemDumpZipTemplate`

## Constructor Summary

Constructors
Constructor
Description
`BaseProvider()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.snapshot.acquire.IHeapDumpProvider

`acquireDump, getAvailableVMs`

## Field Details

### defaultType

public DumpType defaultType

### defaultLive

public boolean defaultLive

### defaultCompress

public boolean defaultCompress

### listAttach

public boolean listAttach

### systemDumpTemplate

public String systemDumpTemplate

### systemDumpZipTemplate

public String systemDumpZipTemplate

### heapDumpTemplate

public String heapDumpTemplate

### heapDumpZipTemplate

public String heapDumpZipTemplate

### javaDumpTemplate

public String javaDumpTemplate

### hprofDumpTemplate

public String hprofDumpTemplate

### hprofDumpZipTemplate

public String hprofDumpZipTemplate

## Constructor Details

### BaseProvider

public BaseProvider()